Questions générales sur Manjaro Linux.
S'il vous plaît, avant de poster, essayez la fonction de recherche du forum.
Répondre

Downgrade de moc

#1Messageil y a 1 semaine

Bonjour,

J'essaye de "downgrader" moc (un lecteur audio en console) car je l'ai mis à jour et cela engendre une erreur à son lancement :
buffer overflow detected: terminated
[1] 21546 IOT instruction (core dumped) mocp
Erreur répertoriée ici : https://bugs.archlinux.org/task/74041

Je ne souhaite pas utiliser le patch proposé mais downgrader à une version antérieure (ce que j'avais d’ailleurs fait avec succès lors d'une précédente màj Manjaro).

Quand je fais

sudo DOWNGRADE_FROM_ALA=1 downgrade moc
je n'ai malheureusement accès qu'à des versions 2.5.2.3 à la 2.5.2.5, hors toutes ces versions ne marchent pas.

Comment puis-je obtenir une version antérieure à 2.5.2.3 ?

Merci.

Downgrade de moc

#2Messageil y a 1 semaine

Downgrade de moc

#3Messageil y a 1 semaine

Je ne peux donc pas downgrader à une version antérieure :shock:

J'en ai besoin de mon moc, j'écoute la radio toute la journée avec. J'ai essayé d'appliquer un patch mais n'y suis pas arrivé...

Downgrade de moc

#4Messageil y a 1 semaine

Alors, j'essaye d'appliquer le patch indiqué ici : https://bugs.archlinux.org/task/74041

Cependant, lorsque je fais :

makepkg -si --skipinteg
je tombe sur :
File to patch:
Image

Mais je ne comprends pas quel fichier je dois indiquer...

Merci.

Downgrade de moc

#5Messageil y a 1 semaine

Salut,
damien674 a écrit : il y a 1 semaine Mais je ne comprends pas quel fichier je dois indiquer...
C'est mentionné dans les commentaires, utf8.c.

Downgrade de moc

#6Messageil y a 1 semaine

Merci beaucoup @Smurf, je n'avais pas compris qu'il suffisait d'entrer utf8.c, je cherchais à entrer un chemin vers un fichier utf8.c. Cela marche maintenant, j'ai retrouvé mon moc, fort utile pour écouter les radios.

Merci aussi @papajoke de m'avoir répondu.

Bonne journée!

Downgrade de moc

#7Messageil y a 18 heures

]Bonjour,
Vous pouvez maintenant "downgrader" moc et choisir la version 1:2.5.2-6. Le problème a été résolu. Et ça marche :bien
sudo DOWNGRADE_FROM_ALA=1 downgrade moc

Downgrade de moc

#8Messageil y a 18 heures

Merci pour l'info.
Cette version est aussi dans la mise à jour stable d'aujourd'hui
Ce n'est pas un véritable downgrade avec l'epoch : la mise à jour sera automatiquement avec cette version
Répondre